OpenTTD Source: Win32FontCacheFactory Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Private Member Functions | Static Private Attributes
Win32FontCacheFactory Class Reference
Inheritance diagram for Win32FontCacheFactory:

## Public Member Functions
std::unique_ptr< FontCache > | LoadFont (FontSize fs, FontType fonttype) const override
| Loads the GDI font.
bool | FindFallbackFont (FontCacheSettings *settings, const std::string &language_isocode, MissingGlyphSearcher *callback) const override

## Static Private Member Functions
static std::unique_ptr< FontCache > | LoadWin32Font (FontSize fs, const LOGFONT &logfont, uint size, std::string_view font_name)
static bool | TryLoadFontFromFile (const std::string &font_name, LOGFONT &logfont)

## Static Private Attributes
static Win32FontCacheFactory | instance

## Additional Inherited Members
Private Member Functions inherited from FontCacheFactory
| FontCacheFactory (std::string_view name, std::string_view description)
Private Member Functions inherited from BaseProvider< FontCacheFactory >
constexpr | BaseProvider (std::string_view name, std::string_view description)
std::string_view | GetName () const
std::string_view | GetDescription () const
Private Attributes inherited from BaseProvider< FontCacheFactory >
const std::string_view | name
const std::string_view | description

## Detailed Description

Definition at line 268 of file font_win32.cpp.

## Constructor & Destructor Documentation

## ◆ Win32FontCacheFactory()

Win32FontCacheFactory::Win32FontCacheFactory | ( |  | ) |
| inline

Definition at line 270 of file font_win32.cpp.

## Member Function Documentation

## ◆ FindFallbackFont()

bool Win32FontCacheFactory::FindFallbackFont | ( | FontCacheSettings * | settings,
|  | const std::string & | language_isocode,
|  | MissingGlyphSearcher * | callback
| ) |  | const
| inlineoverridevirtual

Implements FontCacheFactory.

Definition at line 310 of file font_win32.cpp.

## ◆ LoadFont()

std::unique_ptr< FontCache > Win32FontCacheFactory::LoadFont | ( | FontSize | fs,
|  | FontType | fonttype
| ) |  | const
| inlineoverridevirtual

Loads the GDI font.

If a GDI font description is present, e.g. from the automatic font fallback search, use it. Otherwise, try to resolve it by font name.

Parameters

  fs | The font size to load.

Implements FontCacheFactory.

Definition at line 278 of file font_win32.cpp.

References convert_to_fs(), FS_MONO, GetFontCacheFontName(), GetFontCacheFontSize(), GetFontCacheSubSetting(), settings, StrContainsIgnoreCase(), and TrueType.

## ◆ LoadWin32Font()

static std::unique_ptr< FontCache > Win32FontCacheFactory::LoadWin32Font | ( | FontSize | fs,
|  | const LOGFONT & | logfont,
|  | uint | size,
|  | std::string_view | font_name
| ) |  |
| inlinestaticprivate

Definition at line 336 of file font_win32.cpp.

## ◆ TryLoadFontFromFile()

static bool Win32FontCacheFactory::TryLoadFontFromFile | ( | const std::string & | font_name,
|  | LOGFONT & | logfont
| ) |  |
| inlinestaticprivate

Definition at line 348 of file font_win32.cpp.

## Field Documentation

## ◆ instance

Win32FontCacheFactory Win32FontCacheFactory::instance
| staticprivate

Definition at line 398 of file font_win32.cpp.

The documentation for this class was generated from the following file:

- src/os/windows/font_win32.cpp